C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE CHFOR(NL)
C*****CHAINS TO A FORTRAN PROGRAM
	IMPLICIT LOGICAL*1 (A)
	IMPLICIT INTEGER*2(D-Z)
	COMMON/CH/MACFLG,NAME(3),CSR(20)
	COMMON/IN/NA,A(76),LP
	COMMON/MAC/AMACRO,AFLAG,ICM,ICN,ANAME(16)
	INTEGER*2 FILE(39),DEFTYP(4)
	DATA DEFTYP/3RSAV,3R   ,3R   ,3R   /
	ANAME(NL)=0
	IF(ICSI(FILE,DEFTYP,ANAME,,0).NE.0)GOTO 200
	CALL CHAIN(FILE(16),MACFLG,44)
200	RETURN
C*****ERROR
	END

